spring.application.name=AMOS-ALARM-WJ
server.servlet.context-path=/alarm
server.port=11007

spring.profiles.active=dev
server.compression.enabled=true
spring.jackson.dateFormat=yyyy-MM-dd HH:mm:ss

logging.config=classpath:logback-${spring.profiles.active}.xml
#设置文件上传的大小限制
spring.servlet.multipart.maxFileSize=3MB
spring.servlet.multipart.maxRequestSize=3MB
## redis失效时间
redis.cache.failure.time=10800
# mybatis-plus
mybatis-plus.mapper-locations=classpath:mapper/*Mapper.xml

#消费者所在组的名称
#消费者 的broker地址
spring.kafka.consumer.bootstrap-servers=10.20.0.223:9092,10.20.0.133:9092
# 是否自动提交
spring.kafka.consumer.enable-auto-commit=false
#offset的消费位置
spring.kafka.consumer.auto-offset-reset=earliest
# 配置序列化
spring.kafka.consumer.key-deserializer=org.apache.kafka.common.serialization.StringDeserializer
spring.kafka.consumer.value-deserializer=org.apache.kafka.common.serialization.StringDeserializer
#手动提交方式
spring.kafka.listener.ack-mode=manual_immediate
#监听类型
spring.kafka.listener.type=single

kafka.equipment.alarm=EQUIPMENT_ALARM
kafka.equipment.test=test88888
#电站对接第三方查询设备kks码
power.station.url=http://172.16.4.29:80/prod-api/fdgl/process/DataInterface
#电站104采集预警
power.station.warning=104/data/analysis

#104发送告警间隔时间
warning.wait.time=100
#104缓存预警过滤
warning.redis.use=false
#104缓存预警过滤过期时间单位秒
warning.redis.limit.time=3600
#104升压站预警发送
warning.SYZ=false